Skip to content
Back to top
View this page

# StoryAreaTypeUniqueGift

class telegram.StoryAreaTypeUniqueGift(name, *, api_kwargs=None)

  Bases: `telegram.StoryAreaType`

  Describes a story area pointing to a unique gift. Currently, a story can have at most `1` unique gift area.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `name` is equal.

  Available In

  `telegram.StoryArea.type`

  Added in version 22.1.

  Parameters:

    name (`str`) – Unique name of the gift.

  type

    Type of the area, always `'unique_gift'`.

    Type:

      `str`

  name

    Unique name of the gift.

    Type:

      `str`